# OpenML dataset: optdigits

https://www.openml.org/d/28

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**: E. Alpaydin, C. Kaynak  
**Source**: [UCI](http://archive.ics.uci.edu/ml/datasets/optical+recognition+of+handwritten+digits)  
**Please cite**: [UCI citation policy](https://archive.ics.uci.edu/ml/citation_policy.html)  

1. Title of Database: Optical Recognition of Handwritten Digits
 
 2. Source:
  E. Alpaydin, C. Kaynak
  Department of Computer Engineering
  Bogazici University, 80815 Istanbul Turkey
  alpaydin@boun.edu.tr
  July 1998
 
 3. Past Usage:
  C. Kaynak (1995) Methods of Combining Multiple Classifiers and Their
  Applications to Handwritten Digit Recognition, 
  MSc Thesis, Institute of Graduate Studies in Science and 
  Engineering, Bogazici University.
 
  E. Alpaydin, C. Kaynak (1998) Cascading Classifiers, Kybernetika,
  to appear. ftp://ftp.icsi.berkeley.edu/pub/ai/ethem/kyb.ps.Z
 
 4. Relevant Information:
  We used preprocessing programs made available by NIST to extract
  normalized bitmaps of handwritten digits from a preprinted form. From
  a total of 43 people, 30 contributed to the training set and different
  13 to the test set. 32x32 bitmaps are divided into nonoverlapping 
  blocks of 4x4 and the number of on pixels are counted in each block.
  This generates an input matrix of 8x8 where each element is an 
  integer in the range 0..16. This reduces dimensionality and gives 
  invariance to small distortions.
 
  For info on NIST preprocessing routines, see 
  M. D. Garris, J. L. Blue, G. T. Candela, D. L. Dimmick, J. Geist, 
  P. J. Grother, S. A. Janet, and C. L. Wilson, NIST Form-Based 
  Handprint Recognition System, NISTIR 5469, 1994.
 
 5. Number of Instances
  optdigits.tra Training 3823
  optdigits.tes Testing  1797
  
  The way we used the dataset was to use half of training for 
  actual training, one-fourth for validation and one-fourth
  for writer-dependent testing. The test set was used for 
  writer-independent testing and is the actual quality measure.
 
 6. Number of Attributes
  64 input+1 class attribute
 
 7. For Each Attribute:
  All input attributes are integers in the range 0..16.
  The last attribute is the class code 0..9
 
 8. Missing Attribute Values
  None
 
 9. Class Distribution
  Class: No of examples in training set
  0:  376
  1:  389
  2:  380
  3:  389
  4:  387
  5:  376
  6:  377
  7:  387
  8:  380
  9:  382
 
  Class: No of examples in testing set
  0:  178
  1:  182
  2:  177
  3:  183
  4:  181
  5:  182
  6:  181
  7:  179
  8:  174
  9:  180
 
 Accuracy on the testing set with k-nn 
 using Euclidean distance as the metric
 
  k =  1   : 98.00
  k =  2   : 97.38
  k =  3   : 97.83
  k =  4   : 97.61
  k =  5   : 97.89
  k =  6   : 97.77
  k =  7   : 97.66
  k =  8   : 97.66
  k =  9   : 97.72
  k = 10   : 97.55
  k = 11   : 97.89

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/28) of an [OpenML dataset](https://www.openml.org/d/28). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/28/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/28/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/28/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

